# Ordering - Processing Orders

### Overview

Tyro Connect enables Point of Sale systems to receive and process orders from Ordering applications registered on the platform.

Here are the steps that you can follow to receive orders for your merchants/restaurants

### 1. Setup Tyro Connect

The first step involves registering on Tyro Connect and getting your credentials to authenticate on the platform. Contact us to get onboard.

### 2. Register webhook for Order events

Tyro Connect uses **webhooks** to notify POS systems when it receives an order. There is a detailed explanation as to how to set this up [here](/pos/notifications/webhooks). Tyro Connect triggers the registered webhook when a new Order is received.

### 3. Fetch Order details

Using the `data.id` from the `Order` event, use the [`GET /orders/{orderId}`](/pos/apis/ordering/1.0#operation/get-order) to receive the contents of the order.

Once you get the order details it is required that you notify Tyro Connect whether the order was processed successfully.
You must ensure that the events are processed immediately, any delay can lead the Ordering application to assume that the order was not successful thus resulting in unnecessary failed orders.
This is **mandatory** because the Ordering applications subscribe and handle these scenarios accordingly.

The [`PATCH /orders/{orderId}`](/pos/apis/ordering/1.0#operation/update-order) endpoint is used with the corresponding statuses like `ACCEPTED` or `REJECTED`.

### 4. Mark order as READY for the customer

Notify Tyro Connect when order is ready, this usually triggers a chain of events like:

* Delivery/Pickup: Notifies Applications the order is ready to be picked up
* In Store: Notifies eater in app that the food is ready


You will reuse the [`PATCH /orders/{orderId}`](/pos/apis/ordering/1.0#operation/update-order) endpoint to update the order status with `READY` status type.

#### Related pages

* [Authentication](/pos/authentication)